This member has provided no bio about themself...

Comment History
kossas1
kossas1 Jun 1 2015, 7:45pm says:

I just loaded the "Begun the clone wars have" galactic conquest. And I've noticed there's no way to tech up. Does anyone know how to fix this?

+1 vote   download: Star Wars The Clone Wars Version 4.0
kossas1
kossas1 May 31 2015, 4:47pm replied:

download the petroglyph modlauncher, it's easier. Just don't be so lazy next time

+1 vote   download: Star Wars: Empire at War - All Stars Burn as One
kossas1
kossas1 May 27 2015, 5:39pm replied:

verify game cache

+1 vote   feature: Report bugs
kossas1
kossas1 Feb 12 2013, 6:51pm replied:

Help me please whenever i start the medieval 2 launcher it pops up an error and then doesn't let me play kingdoms even when it is installed. is it because i installed kingdoms first?
BTW I Deleted Kingdoms and i still get the error so i deleted all of it and am installing again please help me i rly wanna play

+2 votes   download: Third Age - Total War 3.2 Patch
Level
80%
Newbie
1
Avatar
Avatar
Offline Since
Aug 1, 2015
Country
United States United States
Gender
Male
Member Watch
Track this member
Comment Statistics
Posts per day
0.0
Articles
1
Downloads
3